/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.document.library.repository.cmis.search;

import com.liferay.petra.string.StringPool;
import com.liferay.portal.kernel.util.StringBundler;

/**
 * @author Iván Zaera
 */
public class CMISContainsValueExpression implements CMISCriterion {

	public CMISContainsValueExpression(String value) {
		_value = value;
	}

	@Override
	public String toQueryFragment() {
		boolean multipleTerms = _value.contains(StringPool.SPACE);

		StringBundler sb = new StringBundler(1 + (multipleTerms ? 4 : 0));

		if (_value.contains(StringPool.SPACE)) {
			sb.append(StringPool.BACK_SLASH);
			sb.append(StringPool.APOSTROPHE);
		}

		sb.append(_value);

		if (_value.contains(StringPool.SPACE)) {
			sb.append(StringPool.BACK_SLASH);
			sb.append(StringPool.APOSTROPHE);
		}

		return sb.toString();
	}

	private final String _value;

}